
#ifndef _xxparser_h_
#define _xxparser_h_

#include "yacasbase.h"
#include "tokenizer.h"



class XXTokenizer : public LispTokenizer
{
    
public:
    XXTokenizer() :iTT(0) {}
    /// NextToken returns a string representing the next token,
    /// or an empty list.
    virtual LispStringPtr NextToken(LispInput& aInput,
                                    LispHashTable& aHashTable);
    virtual ~XXTokenizer();
    LispInt iTT;
private:
    LispString iToken; //Can be used as a token container.
};

#endif

